Bug 18584 - Our legacy code contains trailing-spaces
Summary: Our legacy code contains trailing-spaces
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Bugs List
QA Contact: Testopia
URL: https://github.com/joubu/koha-howto
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-11 16:45 UTC by Jonathan Druart
Modified: 2018-12-06 17:08 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18584: Fix trailing spaces in C4/Accounts.pm (894 bytes, patch)
2017-06-12 20:18 UTC, Lee Jamison
Details | Diff | Splinter Review
Bug 18584: Fix trailing spaces in C4/Accounts.pm (894 bytes, patch)
2017-06-12 20:21 UTC, Lee Jamison
Details | Diff | Splinter Review
Bug 18584: Fix trailing spaces in C4/Accounts.pm (947 bytes, patch)
2017-06-12 20:27 UTC, Lee Jamison
Details | Diff | Splinter Review
Bug 18584 - removed white space in C4/Accounts.pm (937 bytes, patch)
2017-09-12 14:41 UTC, Dominic Pichette
Details | Diff | Splinter Review
Bug 18584 - removed white space in C4/Accounts.pm (992 bytes, patch)
2017-09-12 14:47 UTC, Dominic Pichette
Details | Diff | Splinter Review
Bug 18584 - removed white space in C4/Accounts.pm (1.05 KB, patch)
2017-09-12 15:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13208: Improving breadcrumbs for when cancelling an order (5.11 KB, patch)
2017-09-15 19:33 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Creating and implementing new Koha::Acquisition::Basket[s] modules (3.89 KB, patch)
2017-09-15 19:33 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Perl documentation for modules (3.61 KB, patch)
2017-09-15 19:33 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 13208: (QA follow-up) Remove blank breadcrumbs on successful deletion (1.78 KB, patch)
2017-09-15 19:33 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Tests for Koha::Acquisition::Baskets (2.97 KB, patch)
2017-09-15 19:33 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 18584: - removed white space in C4/Matcher.pm (1.05 KB, patch)
2018-10-01 15:12 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18584: - removed white space in C4/Matcher.pm (1.06 KB, patch)
2018-10-01 15:46 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18584: - removed white space in C4/Matcher.pm (1.11 KB, patch)
2018-10-01 18:39 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18584: Removed white space in C4/Matcher.pm (1.19 KB, patch)
2018-10-02 11:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18584: Removed white space in C4/Matcher.pm (1.23 KB, patch)
2018-10-04 17:31 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18584: Our legacy code contains trailing-spaces (1.72 KB, patch)
2018-11-06 14:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18584: Our legacy code contains trailing-spaces (1.78 KB, patch)
2018-11-14 14:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 18584: Our legacy code contains trailing-spaces (1.84 KB, patch)
2018-11-14 19:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-05-11 16:45:56 UTC
This bug report is opened for didactic purpose.

If you already contributed to Koha you must not contribute here.
Comment 1 Lee Jamison 2017-06-12 20:18:34 UTC Comment hidden (obsolete)
Comment 2 Lee Jamison 2017-06-12 20:21:42 UTC Comment hidden (obsolete)
Comment 3 Lee Jamison 2017-06-12 20:27:41 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2017-06-12 20:59:39 UTC
(In reply to Lee Jamison from comment #3)
> Created attachment 64238 [details] [review] [review]
> Bug 18584: Fix trailing spaces in C4/Accounts.pm

Pushed to master, thanks Lee!
Resetting to New.
Comment 5 Katrin Fischer 2017-06-13 20:59:16 UTC
... and pushed to 2 stable releases (16.11 and 17.05) - congrats Lee!
Comment 6 Mason James 2017-07-31 11:23:47 UTC
Pushed to 16.05.x, for 16.05.15 release
Comment 7 Dominic Pichette 2017-09-12 14:41:29 UTC
Created attachment 67095 [details] [review]
Bug 18584 - removed white space in C4/Accounts.pm

Test Plan:
    1-go to C4/Accounts.pm
    2-there should not be a trailing space at line 279.
Comment 8 Dominic Pichette 2017-09-12 14:47:01 UTC
Created attachment 67096 [details] [review]
Bug 18584 - removed white space in C4/Accounts.pm

Test Plan:
    1-go to C4/Accounts.pm
    2-there should not be a trailing space at line 279.

Signed-off-by: Dominic Pichette <dominic@inlibro.com>
Comment 9 Jonathan Druart 2017-09-12 15:02:53 UTC
Created attachment 67097 [details] [review]
Bug 18584 - removed white space in C4/Accounts.pm

Test Plan:
    1-go to C4/Accounts.pm
    2-there should not be a trailing space at line 279.

Signed-off-by: Dominic Pichette <dominic@inlibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2017-09-12 15:10:08 UTC
(In reply to Dominic Pichette from comment #7)
> Created attachment 67095 [details] [review] [review]
> Bug 18584 - removed white space in C4/Accounts.pm
> 
> Test Plan:
>     1-go to C4/Accounts.pm
>     2-there should not be a trailing space at line 279.

Pushed to master, Merci Dominic!
Resetting to New.
Comment 11 David Bourgault 2017-09-15 19:33:10 UTC Comment hidden (obsolete)
Comment 12 David Bourgault 2017-09-15 19:33:13 UTC Comment hidden (obsolete)
Comment 13 David Bourgault 2017-09-15 19:33:16 UTC Comment hidden (obsolete)
Comment 14 David Bourgault 2017-09-15 19:33:19 UTC Comment hidden (obsolete)
Comment 15 David Bourgault 2017-09-15 19:33:22 UTC Comment hidden (obsolete)
Comment 16 David Bourgault 2017-09-15 20:09:32 UTC Comment hidden (obsolete)
Comment 17 Fridolin SOMERS 2017-10-23 14:34:17 UTC
5400795 Bug 18584 - removed white space in C4/Accounts.pm
Pushed to 17.05.x
Comment 18 Katrin Fischer 2017-10-29 17:50:37 UTC
This patch has been pushed to 16.11.x and will be in 16.11.14.
Comment 19 Mason James 2017-11-23 23:20:31 UTC
Pushed to 16.05.x, for 16.05.19 release
Comment 20 Cori Lynn Arnold 2018-10-01 14:03:27 UTC
Walking through the Koha-how-to
Comment 21 Cori Lynn Arnold 2018-10-01 15:12:08 UTC
Created attachment 79734 [details] [review]
Bug 18584: - removed white space in C4/Matcher.pm

Test Plan:
    1-go to C4/Matcher.pm
    2-verify there is no whitespace at line 25
Comment 22 Cori Lynn Arnold 2018-10-01 15:46:33 UTC
Created attachment 79743 [details] [review]
Bug 18584: - removed white space in C4/Matcher.pm

Test Plan:
    1-go to C4/Matcher.pm
    2-verify there is no whitespace at line 25
Comment 23 M. Tompsett 2018-10-01 18:37:55 UTC
Okay, I won't submit anything, as per comment #0, but I thought I would mention that "git stripspace" might be a useful command to read up on.

That being said, C4/Matcher.pm has more to be found. However, to not take away a sense of accomplishment, I will sign off Cori's patch. :)
Comment 24 M. Tompsett 2018-10-01 18:39:26 UTC
Created attachment 79758 [details] [review]
Bug 18584: - removed white space in C4/Matcher.pm

Test Plan:
    1-go to C4/Matcher.pm
    2-verify there is no whitespace at line 25

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 25 Katrin Fischer 2018-10-01 20:45:15 UTC
This bug here is for learning, not about solving it all :)
Comment 26 Jonathan Druart 2018-10-02 11:29:59 UTC
(In reply to Cori Lynn Arnold` from comment #22)
> Created attachment 79743 [details] [review] [review]

Hi Cori, thanks for your patch. If you had followed the tutorial until the end you should have sent a signed off patch by yourself. I am going to mark this one as Passed QA as it has been signed off by Mark, but do not hesitate to give another go with a new patch ;)
Comment 27 Jonathan Druart 2018-10-02 11:31:43 UTC
Created attachment 79811 [details] [review]
Bug 18584: Removed white space in C4/Matcher.pm

Test Plan:
    1-go to C4/Matcher.pm
    2-verify there is no whitespace at line 25

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 28 Cori Lynn Arnold 2018-10-04 17:31:59 UTC
Created attachment 79953 [details] [review]
Bug 18584: Removed white space in C4/Matcher.pm

Test Plan:
    1-go to C4/Matcher.pm
    2-verify there is no whitespace at line 25

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Cori Lynn Arnold <carnold@dgiinc.com>
Comment 29 Nick Clemens 2018-10-05 16:27:58 UTC
Awesome work all! Great job on your first patch Cori!

Pushed to master for 18.11
Comment 30 Jonathan Druart 2018-10-16 18:05:40 UTC
Resetting to New.
Comment 31 Owen Leonard 2018-11-06 14:55:36 UTC
Created attachment 81990 [details] [review]
Bug 18584: Our legacy code contains trailing-spaces

This patch removes trailing spaces from acquisitions-search.inc

Mentored-by: Owen Leonard <oleonard@myacpl.org>
Comment 32 Martin Renvoize 2018-11-14 14:41:43 UTC
Created attachment 82337 [details] [review]
Bug 18584: Our legacy code contains trailing-spaces

This patch removes trailing spaces from acquisitions-search.inc

Mentored-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 33 Martin Renvoize 2018-11-14 14:42:09 UTC
Welcome aboard Thatcher, Signed Off.
Comment 34 Katrin Fischer 2018-11-14 19:50:25 UTC
Created attachment 82347 [details] [review]
Bug 18584: Our legacy code contains trailing-spaces

This patch removes trailing spaces from acquisitions-search.inc

Mentored-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 35 Katrin Fischer 2018-11-14 19:51:19 UTC
Well done! Welcome to the Koha developers!
Comment 36 Nick Clemens 2018-11-15 12:48:59 UTC
Awesome work all! Great job on your first patch Thatcher!

Pushed to master for 18.11
Comment 37 Fridolin SOMERS 2018-11-28 15:12:15 UTC
Pushed to 18.05.x for 18.05.06
Comment 38 Fridolin SOMERS 2018-11-28 15:15:17 UTC
Pushed to 17.11.x for 17.11.13
Comment 39 Jonathan Druart 2018-12-06 17:08:31 UTC
Resetting to New.